﻿// Accord Statistics Library
// The Accord.NET Framework
// http://accord-framework.net
//
// Copyright © César Souza, 2009-2015
// cesarsouza at gmail.com
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Lesser General Public
//    License as published by the Free Software Foundation; either
//    version 2.1 of the License, or (at your option) any later version.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Lesser General Public License for more details.
//
//    You should have received a copy of the GNU Lesser General Public
//    License along with this library; if not, write to the Free Software
//    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//

namespace Accord.Statistics.Analysis
{
    using System.Runtime.CompilerServices;

    /// <summary>
    ///  Contains many statistical analysis, such as <see cref="PrincipalComponentAnalysis">PCA</see>,
    ///  <see cref="LinearDiscriminantAnalysis">LDA</see>, <see cref="KernelPrincipalComponentAnalysis">
    ///  KPCA</see>, <see cref="KernelDiscriminantAnalysis">KDA</see>, <see cref="PartialLeastSquaresAnalysis">
    ///  PLS</see>, <see cref="IndependentComponentAnalysis">ICA</see>, <see cref="LogisticRegressionAnalysis">
    ///  Logistic Regression</see> and <see cref="StepwiseLogisticRegressionAnalysis">Stepwise Logistic Regression 
    ///  Analyses</see>. Also contains performance assessment analysis such as <see cref="GeneralConfusionMatrix">
    ///  contingency tables</see> and <see cref="ReceiverOperatingCharacteristic">ROC curves</see>.
    /// </summary>
    /// 
    /// <para>
    ///   The namespace class diagram is shown below. </para>
    ///   <img src="..\diagrams\classes\Accord.Statistics.Analysis.png" />
    ///   
    /// <seealso cref="Accord.Statistics"/>
    /// <seealso cref="Accord.Statistics.Analysis.ContrastFunctions"/>
    /// 
    [CompilerGenerated]
    class NamespaceDoc
    {
    }
}
